Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.exception
Class MonitoringRecordException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              kieker.common.exception.MonitoringRecordException

All Implemented Interfaces:
  Serializable

    public class MonitoringRecordException

extends Exception

This exception can be used to show that something in context with a monitoring record failed.

Since:
  1.0
Author:
  Jan Waller
See Also:
  Serialized Form

Constructor Summary
`MonitoringRecordException(String messString)` Creates a new instance of this class using the given parameters.
`MonitoringRecordException(String messString, Throwable cause)` Creates a new instance of this class using the given parameters.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitoringRecordException

    public MonitoringRecordException(String messString)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `messString` - The message of this exception.

### MonitoringRecordException

    public MonitoringRecordException(String messString,
                                     Throwable cause)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `messString` - The message of this exception.
    `cause` - The cause of this exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net